network.AIC {nem} | R Documentation

## AIC/BIC criterion for network graph

### Description

Calclate AIC/BIC for a given network graph (should be transitively closed). The number of free parameters equals the number of unknown edges in the network graph.

### Usage

            network.AIC(network,Pm=NULL,k=length(nodes(network$graph)),verbose=TRUE)

### Arguments

`network` | a nem object (e.g. 'pairwise')
`Pm` | prior over models (n x n matrix). If NULL, then a matrix of 0s is assumed
`k` | penalty per parameter in the AIC/BIC calculation. k = 2 for classical AIC
`verbose` | print out the result

### Details

For k = log(n) the BIC (Schwarz criterion) is computed. Usually this function is not called directly but from `nemModelSelection`

### Value

AIC/BIC value

### Author(s)

Holger Froehlich

### See Also

`nemModelSelection`

### Examples

       data("BoutrosRNAi2002")
       D = BoutrosRNAiDiscrete[,9:16]
       control = set.default.parameters(unique(colnames(D)), para=c(0.13,0.05))
       res1 <- nem(D, control=control)
       network.AIC(res1)
       control$lambda=100 # enforce sparsity
       res2 <- nem(D,control=control)
       network.AIC(res2)

[Package nem version 2.8.0 Index]